'use strict';

module.exports = app => {
  const { router, controller } = app;


  // 车辆补传数据分布  supplementaryCnt
  // 车辆蓄电池电量占比分布 batterySoc
  // 车辆发动机转速占比分布 engineSpeed
  // 室内行驶环境温度占比分布 insideTemperature
  // 室外行驶环境温度占比分布 outsideTemperature
  // 车辆动力电池占比分布 powerBatterySoc
  // 充电时长占比分布  chargeDuration
  // 充电初始SOC分布  chargeStartSoc
  // 充电结束SOC分布  chargeEndSoc
  // 充电时车辆可行驶里程分布 chargePreStartMileage
  // 充电初始时刻  chargeStartTime
  // 两次充电间行驶里程分布  chargeMileage
  // 实际续航里程分布 actualMileage
  // 车辆行程次数占比分布 mileageCnt
  // 燃油车里程占比分布 mileage
  // 充电次数占比分布 chargeCnt
  router.get('/report/vehicleDriving/mix/:id', controller.vehicleDrivingController2.index);

  // 车辆行程次数月年占比分布 mileageCnt
  // 燃油车里程月年占比分布 mileage
  // 充电次数月年占比分布 chargeCnt
  router.get('/report/vehicleDriving/mixMY/:id', controller.vehicleDrivingController2.mixMY);


  // 不同车速区间耗电占比  avgSpeedPower
  router.get('/report/vehicleDriving/avgSpeedPower', controller.vehicleDrivingController2.avgSpeedPower);
  // 充电模式分布  chargeType
  router.get('/report/vehicleDriving/chargeType', controller.vehicleDrivingController2.chargeType);
  // 油耗省份 城市 avg_oil
  router.get('/report/vehicleDriving/avgOil', controller.vehicleDrivingController2.avgOil);

  // 车辆蓄电池电量统计 batterySoc
  // 车辆发动机转速统计 engineSpeed
  // 室内行驶环境温度统计 insideTemperature
  // 室外行驶环境温度统计 outsideTemperature
  // 车辆动力电池占比统计 powerBatterySoc
  // 充电时长统计 chargeDuration
  // 充电次数统计 chargeCnt
  router.get('/report/vehicleDriving/count/:id', controller.vehicleDrivingController2.count);

};

