'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 实销车辆统计分析 实销车辆百分比统计分析 入网车辆总数统计分析
  router.get('/report/carNumber/index', controller.carNumberController.index);
  // 实销增量
  router.get('/report/carNumber/increment', controller.carNumberController.increment);
  // 在线车辆分布统计分析
  router.get('/report/carNumber/online', controller.carNumberController.online);
  // 活跃车辆
  router.get('/report/carNumber/active', controller.carNumberController.active);
  // 车辆上报分类信息统计
  router.get('/report/carNumber/report', controller.carNumberController.report);

  // 实销城市排名
  router.get('/report/carNumber/saledCity', controller.carNumberController.saledCity);
  // 当前在线车辆数量,离线车辆数量
  router.get('/report/carNumber/onlineCount', controller.carNumberController.onlineCount);
  // 扩展数据
  router.get('/report/carNumber/activeExt', controller.carNumberController.activeExt);

};
