'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 潜客转化车主数据结构  作废
  const tRegisterInfoSchema = new Schema({
    _id: { type: String }, // 年月日+序列号
    user_id: { type: String }, // 用户ID,
    create_time: { type: Number }, // 创建时间戳
    update_time: { type: Number }, // 潜客转车主时间戳

  });
  tRegisterInfoSchema.index({ update_time: -1 });

  return conn.model('TRegisterInfo', tRegisterInfoSchema, 't_register_info');
};
