'use strict';

module.exports = app => {
  const { router, controller } = app;
  // APP功能时长排序
  router.get('/report/appBehavior/duration', controller.appBehaviorController.duration);
  // APP功能次数排序
  router.get('/report/appBehavior/count', controller.appBehaviorController.count);

  // APP功能次数排序其他信息
  router.get('/report/appBehavior/ext', controller.appBehaviorController.ext);

  // 远控功能次数统计
  router.get('/report/appBehavior/rc', controller.appBehaviorController.rc);
  // 远控功能执行失败统计
  router.get('/report/appBehavior/rcFail', controller.appBehaviorController.rcFail);

};

