'use strict';

const assert = require('assert');
const mock = require('egg-mock');

describe('test/controller/home.test.js', () => {
  let app;
  before(() => {
    // 创建当前应用的 app 实例
    app = mock.app();
    // 等待 app 启动成功，才能执行测试用例
    return app.ready();
  });
  afterEach(mock.restore);

  describe('GET /', () => {
    it('should status 200 and get the body', () => {
      return app.httpRequest()
        .get('/')
        .expect(200)
        .expect('hi, egg');
    });
  });

});
