package com.strong.springboot.controller;

import com.faw.rbac.starter.annotation.OperationSource;
import org.springframework.web.bind.annotation.RestController;

@RestController
@OperationSource(code = "BR",operation = "大数据系统")
public class ChartController {

    @OperationSource(code = "BR00",operation = "平台用户统计", parentCode = "BR")
    public void BR00() { }
    @OperationSource(code = "BR0001",operation = "用户总数", parentCode = "BR00")
    public void BR0001() { }
    @OperationSource(code = "BR0002",operation = "用户增量统计", parentCode = "BR00")
    public void BR0002() { }
    @OperationSource(code = "BR0003",operation = "APP渠道注册用户总数", parentCode = "BR00")
    public void BR0003() { }
    @OperationSource(code = "BR0004",operation = "车机渠道注册用户总数", parentCode = "BR00")
    public void BR0004() { }


    @OperationSource(code = "BR01",operation = "实销用户统计", parentCode = "BR")
    public void BR01() { }
    @OperationSource(code = "BR0101",operation = "实销用户总数", parentCode = "BR01")
    public void BR0101() { }
    @OperationSource(code = "BR0102",operation = "实销用户增量统计", parentCode = "BR01")
    public void BR0102() { }
    @OperationSource(code = "BR0103",operation = "实销用户年龄+性别", parentCode = "BR01")
    public void BR0103() { }


    @OperationSource(code = "BR02",operation = "在线用户统计", parentCode = "BR")
    public void BR02() { }
    @OperationSource(code = "BR0201",operation = "在线用户总数", parentCode = "BR02")
    public void BR0201() {}
    @OperationSource(code = "BR0202",operation = "在线用户分类数量统计", parentCode = "BR02")
    public void BR0202() {}
    @OperationSource(code = "BR0203",operation = "在线用户分类区域统计", parentCode = "BR02")
    public void BR0203() {}

    @OperationSource(code = "BR03",operation = "车辆行驶数据分析", parentCode = "BR")
    public void BR03() { }
    @OperationSource(code = "BR0301",operation = "行驶数据占比分布", parentCode = "BR03")
    public void BR0301() {}
    @OperationSource(code = "BR0302",operation = "车辆补传数据分布", parentCode = "BR03")
    public void BR0302() {}
    @OperationSource(code = "BR0303",operation = "车辆蓄电池电量分布", parentCode = "BR03")
    public void BR0303() {}
    @OperationSource(code = "BR0304",operation = "车辆发动机转速分布", parentCode = "BR03")
    public void BR0304() {}
    @OperationSource(code = "BR0305",operation = "车内行驶环境温度分布", parentCode = "BR03")
    public void BR0305() {}
    @OperationSource(code = "BR0306",operation = "车辆动力电池统计", parentCode = "BR03")
    public void BR0306() {}
    @OperationSource(code = "BR0307",operation = "车辆充电统计", parentCode = "BR03")
    public void BR0307() {}
    @OperationSource(code = "BR0308",operation = "车辆油耗分布统计", parentCode = "BR03")
    public void BR0308() {}

    @OperationSource(code = "BR04",operation = "车辆内饰硬件统计分析", parentCode = "BR")
    public void BR04() { }
    @OperationSource(code = "BR0401",operation = "车辆天窗使用时长占比", parentCode = "BR04")
    public void BR0401() {}
    @OperationSource(code = "BR0402",operation = "车辆近光统计", parentCode = "BR04")
    public void BR0402() {}
    @OperationSource(code = "BR0403",operation = "车辆远光统计", parentCode = "BR04")
    public void BR0403() {}
    @OperationSource(code = "BR0404",operation = "空调使用数据统计", parentCode = "BR04")
    public void BR0404() {}

    @OperationSource(code = "BR05",operation = "车辆数量统计分析", parentCode = "BR")
    public void BR05() { }
    @OperationSource(code = "BR0501",operation = "实销车辆统计分析", parentCode = "BR05")
    public void BR0501() {}
    //    @OperationSource(code = "BR0502",operation = "实销车辆占比统计", parentCode = "BR05")
//    public void BR0502() {}
    @OperationSource(code = "BR0503",operation = "实销车辆增量统计", parentCode = "BR05")
    public void BR0503() {}
    @OperationSource(code = "BR0504",operation = "在线车辆分布统计分析", parentCode = "BR05")
    public void BR0504() {}
    @OperationSource(code = "BR0505",operation = "活跃车辆数量统计", parentCode = "BR05")
    public void BR0505() {}
    @OperationSource(code = "BR0506",operation = "车辆上报分类信息统计", parentCode = "BR05")
    public void BR0506() {}

    @OperationSource(code = "BR06",operation = "车辆热力分布", parentCode = "BR")
    public void BR06() { }
    @OperationSource(code = "BR0601",operation = "实销车辆分布", parentCode = "BR06")
    public void BR0601() {}
    @OperationSource(code = "BR0602",operation = "在线车辆分布", parentCode = "BR06")
    public void BR0602() {}
    @OperationSource(code = "BR0603",operation = "离线车辆分布", parentCode = "BR06")
    public void BR0603() {}
    @OperationSource(code = "BR0604",operation = "活跃车辆全国热力图", parentCode = "BR06")
    public void BR0604() {}

    @OperationSource(code = "BR07",operation = "车辆基础信息统计分析", parentCode = "BR")
    public void BR07() { }
    @OperationSource(code = "BR0701",operation = "车况统计", parentCode = "BR07")
    public void BR0701() {}
    @OperationSource(code = "BR0702",operation = "车速转角统计", parentCode = "BR07")
    public void BR0702() {}

    @OperationSource(code = "BR08",operation = "APP用户总数统计分析", parentCode = "BR")
    public void BR08() { }
    @OperationSource(code = "BR0801",operation = "APP用户总数统计", parentCode = "BR08")
    public void BR0801() {}
    @OperationSource(code = "BR0802",operation = "用户位置分布", parentCode = "BR08")
    public void BR0802() {}
    @OperationSource(code = "BR0803",operation = "车主年龄+性别统计", parentCode = "BR08")
    public void BR0803() {}

    @OperationSource(code = "BR09",operation = "APP新增用户数量统计", parentCode = "BR")
    public void BR09() { }
    @OperationSource(code = "BR0901",operation = "新增用户总数统计", parentCode = "BR09")
    public void BR0901() {}
    @OperationSource(code = "BR0902",operation = "新增用户位置分布", parentCode = "BR09")
    public void BR0902() {}
    @OperationSource(code = "BR0903",operation = "新增车主年龄+性别统计", parentCode = "BR09")
    public void BR0903() {}

    @OperationSource(code = "BR10",operation = "APP活跃用户统计分析", parentCode = "BR")
    public void BR10() { }
    @OperationSource(code = "BR1001",operation = "活跃用户数统计", parentCode = "BR10")
    public void BR1001() {}
    @OperationSource(code = "BR1002",operation = "活跃用户位置分布", parentCode = "BR10")
    public void BR1002() {}
    @OperationSource(code = "BR1003",operation = "活跃用户年龄+性别统计", parentCode = "BR10")
    public void BR1003() {}

    @OperationSource(code = "BR11",operation = "APP功能统计分析", parentCode = "BR")
    public void BR11() { }
    @OperationSource(code = "BR1101",operation = "功能使用统计", parentCode = "BR11")
    public void BR1101() {}
    @OperationSource(code = "BR1102",operation = "远控功能使用统计", parentCode = "BR11")
    public void BR1102() {}

    @OperationSource(code = "BR12",operation = "APP异常反馈统计分析", parentCode = "BR")
    public void BR12() { }
    @OperationSource(code = "BR1201",operation = "APP反馈数量统计", parentCode = "BR12")
    public void BR1201() {}
    @OperationSource(code = "BR1202",operation = "APP异常数量统计", parentCode = "BR12")
    public void BR1202() {}

    @OperationSource(code = "BR13",operation = "车机用户数量统计分析", parentCode = "BR")
    public void BR13() { }
    @OperationSource(code = "BR1301",operation = "车机用户总数统计", parentCode = "BR13")
    public void BR1301() {}
    @OperationSource(code = "BR1302",operation = "用户位置分布", parentCode = "BR13")
    public void BR1302() {}
    @OperationSource(code = "BR1303",operation = "车主年龄+性别统计", parentCode = "BR13")
    public void BR1303() {}

    @OperationSource(code = "BR14",operation = "车机新增用户数量统计", parentCode = "BR")
    public void BR14() { }
    @OperationSource(code = "BR1401",operation = "新增用户总数统计", parentCode = "BR14")
    public void LocomotiveNewUserTotal() {}
    @OperationSource(code = "BR1402",operation = "新增用户位置分布", parentCode = "BR14")
    public void LocomotiveNewUserDistribution() {}
    @OperationSource(code = "BR1403",operation = "新增车主年龄+性别统计", parentCode = "BR14")
    public void LocomotiveNewUserAgeSexTotal() {}

    @OperationSource(code = "BR15",operation = "车机活跃用户统计分析", parentCode = "BR")
    public void BR15() { }
    //车机活跃用户统计分析 > 活跃用户数统计
    @OperationSource(code = "BR1501",operation = "活跃用户数统计", parentCode = "BR15")
    public void LocomotiveBeActiveUserTotal() {}

    //车机活跃用户统计分析 > 活跃用户位置分布
    @OperationSource(code = "BR1502",operation = "活跃用户位置分布", parentCode = "BR15")
    public void LocomotiveBeActiveUserDistribution() {}

    //车机活跃用户统计分析 > 活跃用户年龄+性别统计
    @OperationSource(code = "BR1503",operation = "活跃用户年龄+性别统计", parentCode = "BR15")
    public void LocomotiveBeActiveUserAgeSexTotal() {}

    @OperationSource(code = "BR16",operation = "用户基础信息统计分析", parentCode = "BR")
    public void BR16() { }
    @OperationSource(code = "BR1601",operation = "用户基础信息统计查看", parentCode = "BR16")
    public void basicInformation() { }

    @OperationSource(code = "BR17",operation = "用户出行信息行为统计分析", parentCode = "BR")
    public void BR17() { }
    @OperationSource(code = "BR1701",operation = "用户出行时间占比", parentCode = "BR17")
    public void BR1701() {}
    //    @OperationSource(code = "BR1702",operation = "用户疲劳驾驶次数占比", parentCode = "BR17")
//    public void BR1702() {}
    @OperationSource(code = "BR1703",operation = "日行驶统计分析", parentCode = "BR17")
    public void BR1703() {}
    @OperationSource(code = "BR1704",operation = "周末出行行为统计分析", parentCode = "BR17")
    public void BR1704() {}
    @OperationSource(code = "BR1705",operation = "工作日出行行为统计分析", parentCode = "BR17")
    public void BR1705() {}
    @OperationSource(code = "BR1706",operation = "疲劳驾驶行为分析", parentCode = "BR17")
    public void BR1706() {}
    @OperationSource(code = "BR1707",operation = "早高峰出行统计分析", parentCode = "BR17")
    public void BR1707() {}
    @OperationSource(code = "BR1708",operation = "晚高峰出行统计分析", parentCode = "BR17")
    public void BR1708() {}
    @OperationSource(code = "BR1709",operation = "夜间出行统计分析", parentCode = "BR17")
    public void BR1709() {}
    @OperationSource(code = "BR1710",operation = "单次驾驶行为分析", parentCode = "BR17")
    public void BR1710() {}
    @OperationSource(code = "BR1711",operation = "驾驶行为风格统计分析", parentCode = "BR17")
    public void BR1711() {}
    @OperationSource(code = "BR1712",operation = "安全驾驶出行分析", parentCode = "BR17")
    public void BR1712() {}
    @OperationSource(code = "BR1713",operation = "节能驾驶行为分析", parentCode = "BR17")
    public void BR1713() {}

    @OperationSource(code = "BR18",operation = "娱乐信息统计分析", parentCode = "BR")
    public void BR18() { }
    @OperationSource(code = "BR1801",operation = "听歌行程统计分析", parentCode = "BR18")
    public void BR1801() {}
    @OperationSource(code = "BR1802",operation = "听电台节目行程统计分析", parentCode = "BR18")
    public void BR1802() {}
    @OperationSource(code = "BR1803",operation = "听新闻行程统计分析", parentCode = "BR18")
    public void BR1803() {}
    @OperationSource(code = "BR1804",operation = "观看视频行程统计分析", parentCode = "BR18")
    public void BR1804() {}

    @OperationSource(code = "BR19",operation = "车辆流量统计分析", parentCode = "BR")
    public void BR19() { }
    @OperationSource(code = "BR1901",operation = "流量查询结果状态统计", parentCode = "BR19")
    public void BR1901() {}

    @OperationSource(code = "BR20",operation = "用户登录信息统计分析", parentCode = "BR")
    public void BR20() { }
    @OperationSource(code = "BR2001",operation = "登录方式统计", parentCode = "BR20")
    public void BR2001() {}
    @OperationSource(code = "BR2002",operation = "登录终端统计", parentCode = "BR20")
    public void BR2002() {}
    @OperationSource(code = "BR2003",operation = "登录角色统计", parentCode = "BR20")
    public void BR2003() {}
    @OperationSource(code = "BR2004",operation = "登录状态统计", parentCode = "BR20")
    public void BR2004() {}

    @OperationSource(code = "BR21",operation = "消息中心统计分析", parentCode = "BR")
    public void BR21() { }
    @OperationSource(code = "BR2101",operation = "消息渠道统计", parentCode = "BR21")
    public void BR2101() {}
    @OperationSource(code = "BR2102",operation = "消息类型统计", parentCode = "BR21")
    public void BR2102() {}
    @OperationSource(code = "BR2103",operation = "消息查看率统计", parentCode = "BR21")
    public void BR2103() {}
    @OperationSource(code = "BR2104",operation = "消息抵达率统计", parentCode = "BR21")
    public void BR2104() {}

    @OperationSource(code = "BR22",operation = "车辆状态云端监控统计", parentCode = "BR")
    public void BR22() { }
    @OperationSource(code = "BR2201",operation = "危险驾驶行为统计", parentCode = "BR22")
    public void BR2201() {}
    @OperationSource(code = "BR2202",operation = "故障告警次数统计", parentCode = "BR22")
    public void BR2202() {}
    @OperationSource(code = "BR2203",operation = "智能驾驶统计分析", parentCode = "BR22")
    public void BR2203() {}

    @OperationSource(code = "BR23",operation = "T-BOX自动化测试分布", parentCode = "BR")
    public void BR23() { }
    @OperationSource(code = "BR2301",operation = "T-BOX自动化测试分布", parentCode = "BR23")
    public void BR2301() {}

    @OperationSource(code = "BR24",operation = "单车行为统计分析", parentCode = "BR")
    public void BR24() { }
    @OperationSource(code = "BR2401",operation = "单车行为查询", parentCode = "BR24")
    public void BR2401() {}
    @OperationSource(code = "BR2402",operation = "单次行程行为查询", parentCode = "BR24")
    public void BR2402() {}
    @OperationSource(code = "BR2403",operation = "单次充电周期事件行为查询", parentCode = "BR24")
    public void BR2403() {}
    @OperationSource(code = "BR2404",operation = "用户出行时间分布", parentCode = "BR24")
    public void BR2404() {}
//    @OperationSource(code = "BR2405",operation = "用户疲劳驾驶次数分布", parentCode = "BR24")
//    public void BR2405() {}

}
